Index: Singular/LIB/findiff.lib
===================================================================
--- Singular/LIB/findiff.lib	(revision c4c127743ed450cab07372ff8921b84b9a15e6db)
+++ Singular/LIB/findiff.lib	(revision 6ee942626e388aa768751bfadafd1f13fba7a99e)
@@ -2,5 +2,5 @@
 //
 //////////////////////////////////////////////////////////////////////////////
-version="$Id: findiff.lib,v 1.1 2009-07-01 12:35:07 Singular Exp $";
+version="$Id: findiff.lib,v 1.2 2009-07-01 12:38:06 Singular Exp $";
 category="Teaching";
 info="
@@ -851,14 +851,13 @@
 example
 {
-  killall();
-"EXAMPLE:"echo=2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);
-list Mat=unitmat(2),unitmat(2);
-list Apr=forward(Ut,U,t),forward(Ux,U,x);
-matrixsystem(Mat,Apr);
-timestep(_);
+  "EXAMPLE:"echo=2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);
+  list Mat=unitmat(2),unitmat(2);
+  list Apr=forward(Ut,U,t),forward(Ux,U,x);
+  matrixsystem(Mat,Apr);
+  timestep(_);
 }
 //////////////////////////////////
@@ -921,14 +920,13 @@
 example
 {
-killall();
-"EXAMPLE:"; echo = 2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);
-matrix M[2][2]=0,-a,-a,0;
-list Mat=unitmat(2),M;
-list Appr=forward(Ut,U,t),trapezoid(Ux,U,x);
-def s=fouriersystem(Mat,Appr);s;
+  "EXAMPLE:"; echo = 2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);
+  matrix M[2][2]=0,-a,-a,0;
+  list Mat=unitmat(2),M;
+  list Appr=forward(Ut,U,t),trapezoid(Ux,U,x);
+  def s=fouriersystem(Mat,Appr);s;
 }
 //////////////////////////////////
@@ -959,13 +957,12 @@
 example
 {
-  killall();
-"EXAMPLE:"; echo = 2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);////does not show the ring, since there is no output
-basering;///does show the ring
-poly f=t**3*cx**2-cy**2*dt+i**3*sx;
-PartitionVar(f,1); ////i is the first variable
+  "EXAMPLE:"; echo = 2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);////does not show the ring, since there is no output
+  basering;///does show the ring
+  poly f=t**3*cx**2-cy**2*dt+i**3*sx;
+  PartitionVar(f,1); ////i is the first variable
 }
 //////////////////////////////////
@@ -985,14 +982,13 @@
 example
 {
-killall();
-"EXAMPLE:"; echo = 2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);////does not show the ring, as there is  no output
-basering;///does show the ring
-poly f=t**3*cx**2-cy**2*dt+i**3*sx;
-f;
-VarToPar(f);
+  "EXAMPLE:"; echo = 2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);////does not show the ring, as there is  no output
+  basering;///does show the ring
+  poly f=t**3*cx**2-cy**2*dt+i**3*sx;
+  f;
+  VarToPar(f);
 }
 //////////////////////////////////
@@ -1014,14 +1010,13 @@
 example
 {
-killall();
-"EXAMPLE:"; echo = 2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);////does not show the ring, as there is  no output
-basering;///does show the ring
-poly f=t**3*cx**2-cy**2*dt+i**3*sx;
-f;
-VarToPar(f);
+  "EXAMPLE:"; echo = 2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);////does not show the ring, as there is  no output
+  basering;///does show the ring
+  poly f=t**3*cx**2-cy**2*dt+i**3*sx;
+  f;
+  VarToPar(f);
 }
 /////////////////////////////////////
@@ -1046,7 +1041,5 @@
 example
 {
-  killall();
-  "
-  EXAMPLE:"; echo = 2;
+  "EXAMPLE:"; echo = 2;
   list D="Ut","Ux","Uy","U";
   list V="t","x","y";
@@ -1129,16 +1122,15 @@
 example
 {
-killall();
-"EXAMPLE:"; echo = 2;
-list D="Ux","Ut","U";
-list P="a";
-list V="t","x";
-setinitials(V,D,P);
-def s1=scheme(u(Ut)+a*u(Ux),laxfrX(Ux,U,x),laxfrT(Ut,U,x));
-s1;
-def s2=errormap(s1);
-s2;
-def s3=ComplexValue(s2);s3;
-qepcad(s3);
+  "EXAMPLE:"; echo = 2;
+  list D="Ux","Ut","U";
+  list P="a";
+  list V="t","x";
+  setinitials(V,D,P);
+  def s1=scheme(u(Ut)+a*u(Ux),laxfrX(Ux,U,x),laxfrT(Ut,U,x));
+  s1;
+  def s2=errormap(s1);
+  s2;
+  def s3=ComplexValue(s2);s3;
+  qepcad(s3);
 }
 ///////////////////////////////////////////
@@ -1230,19 +1222,17 @@
 example
 {
-killall();
-"EXAMPLE:"; echo = 2;
-list D="Ut","Ux","Uy","U";
-list V="t","x","y";
-list P="a","b";
-setinitials(V,D,P);
-matrix M[2][2]=0,-a,-a,0;
-list Mat=unitmat(2),M;
-list Appr=forward(Ut,U,t),forward(Ux,U,x);
-//matrixsystem(Mat,Appr);
-//timestep(_);
-fouriersystem(Mat,Appr);
-qepcadsystem(_[2]);
-}
-///////////////////////////////////////////
+  "EXAMPLE:"; echo = 2;
+  list D="Ut","Ux","Uy","U";
+  list V="t","x","y";
+  list P="a","b";
+  setinitials(V,D,P);
+  matrix M[2][2]=0,-a,-a,0;
+  list Mat=unitmat(2),M;
+  list Appr=forward(Ut,U,t),forward(Ux,U,x);
+  //matrixsystem(Mat,Appr);
+  //timestep(_);
+  fouriersystem(Mat,Appr);
+  qepcadsystem(_[2]);
+}
 ///////////////////////////////////////////
 static proc substbracketstar(string s)
@@ -1596,5 +1586,5 @@
 }
 //////////////////////////////////////////////////
-static proc cutoffrel(string str) 
+static proc cutoffrel(string str)
 /////////cut off the relations "/=,<= etc." from output-string
 {
